smoke_tests:
  stage: test_testenv
  script:
    - echo "smoke tests"
  when: manual
  tags:
    - pso
  needs:
    - job: deploy_testenv

regression_tests:
  stage: test_testenv
  script:
    - echo "regression tests"
  when: manual
  tags:
    - pso
  needs:
    - job: deploy_testenv

integration_tests:
  stage: test_testenv
  script:
    - echo "integration tests"
  when: manual
  tags:
    - pso
  needs:
    - job: deploy_testenv

workflow_testing:
  stage: test_testenv
  script:
    - echo "workflow testing"
  tags:
    - pso
  needs:
    - job: deploy_testenv